Search documentation of phoenix_kit

# PhoenixKitWeb.Live.Modules.Maintenance.Settings (phoenix_kit v1.7.87)

Copy Markdown View Source

Settings page for the Maintenance module.

Allows admins to customize the maintenance page header and subtext.

## Summary

### Functions

handle_event(binary, arg2, socket)

Callback implementation for `Phoenix.LiveView.handle_event/3`.

handle_info(atom, socket)

Callback implementation for `Phoenix.LiveView.handle_info/2`.

mount(params, session, socket)

Callback implementation for `Phoenix.LiveView.mount/3`.

render(assigns)

Renders the maintenance settings LiveView.

## Functions

# handle_event(binary, arg2, socket)

Callback implementation for `Phoenix.LiveView.handle_event/3`.

# handle_info(atom, socket)

Callback implementation for `Phoenix.LiveView.handle_info/2`.

# mount(params, session, socket)

Callback implementation for `Phoenix.LiveView.mount/3`.

# render(assigns)

Renders the maintenance settings LiveView.